From 70e70c3d42906b736bee44eb45321c2ffc8f9633 Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Mon, 30 Mar 2020 11:45:21 +0800
Subject: [PATCH 07/77] virsh_migrate: update virsh_migrate testcase with numa

We should config cpu mode to host-passthrough, otherwise, vm will fail
to start with the following error:
    error: Failed to start domain avocado-vt-vm1
    error: internal error: process exited while connecting to monitor: KVM is not supported for this guest CPU type

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
index 64070e66..0adb3ceb 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_migrate.py
@@ -831,6 +831,8 @@ def run(test, params, env):
                 numa_dict_list = create_numa(vcpu, max_mem, max_mem_unit)
             vmxml_cpu = vm_xml.VMCPUXML()
             vmxml_cpu.xml = "<cpu><numa/></cpu>"
+            if 'aarch' in platform.machine():
+                vmxml_cpu.xml = "<cpu mode='host-passthrough' check='none'><numa/></cpu>"
             logging.debug(vmxml_cpu.numa_cell)
             vmxml_cpu.numa_cell = numa_dict_list
             logging.debug(vmxml_cpu.numa_cell)
-- 
2.23.0

